mien Posted February 24, 2009 Posted February 24, 2009 can someone teach me how to show height value in autocad using Visual basic or lips but the text format must show like this for example 9.5... Quote
lpseifert Posted February 24, 2009 Posted February 24, 2009 If I understand what you're asking and assuming it's Mtext... you have two dxf codes to examine, the text height and the string's value and formatting. (cdr(assoc 43 (entget(car(entsel))))) (cdr(assoc 1 (entget(car(entsel))))) Quote
Lee Mac Posted February 24, 2009 Posted February 24, 2009 Perhaps this might help you: http://www.cadtutor.net/forum/showthread.php?t=33006 Quote
CarlB Posted February 24, 2009 Posted February 24, 2009 You could label an elevation (height) using a block with attributes; in your example the "9" and "5" could be separate attributes, right & left justified. Quote
Lee Mac Posted February 24, 2009 Posted February 24, 2009 In MTEXT, one can alter the height of text by substituting the following code into the elist: {\\H0.5x;text} The above would make the text half the height of the previous text in the MTEXT. Quote
Lee Mac Posted February 24, 2009 Posted February 24, 2009 For example: (defun c:tht (/ ent tval nval 1st) (if (and (setq ent (car (entsel "\nSelect MTEXT Entity... "))) (eq "MTEXT" (cdadr (entget ent)))) (progn (setq tval (cdr (assoc 1 (entget ent))) nval (substr tval 2) 1st (substr tval 1 1)) (entmod (subst (cons 1 (strcat 1st "\{\\H0.5x;" nval "\}")) (assoc 1 (entget ent)) (entget ent)))) (princ "\nNo MTEXT Selected")) (princ)) Quote
Lee Mac Posted February 25, 2009 Posted February 25, 2009 No probs Mien, any other questions, just ask Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.